/**
 * This injects Tailwind's base styles, which is a combination of
 * Normalize.css and some additional base styles.
 *
 * You can see the styles here:
 * https://github.com/tailwindcss/tailwindcss/blob/master/css/preflight.css
 */
@import 'tailwindcss/preflight';

/**
 * This injects any component classes registered by plugins.
 */
@import 'tailwindcss/components';

/**
 * Custom component classes; loaded *before* the utilities so that the utilities
 * can still override them.
 */
@import 'custom';

/**
 * This injects all of Tailwind's utility classes, generated based on your
 * config file.
 */
@import 'tailwindcss/utilities';

@import 'animate.css';

/**
 * Custom utilities
 */

@keyframes swing-in-top-fwd {
  0% {
    transform: rotateX(-100deg);
    transform-origin: top;
    opacity: 0;
  }
  100% {
    transform: rotateX(0deg);
    transform-origin: top;
    opacity: 1;
  }
}
.swing-in-top-fwd {
	animation-name: swing-in-top-fwd;
}

@keyframes swing-out-top-bck {
  0% {
    transform: rotateX(0deg);
    transform-origin: top;
    opacity: 1;
  }
  100% {
    transform: rotateX(-100deg);
    transform-origin: top;
    opacity: 0;
  }
}
.swing-out-top-bck {
	animation-name: swing-out-top-bck;
}

.animated.fast {
  animation-duration: .25s;
}

.animated.moderate {
  animation-duration: .5s;
}

.grow:hover {
  transform: scale(1.3);
}

.cursor-grab {
  cursor: grab;
}

.transition {
  transition: all .25s ease-in-out;
}

.keyword {
  @apply font-bold font-mono roman;
}
